<?php
/*
+ ----------------------------------------------------------------------------+
|     e107 website system
|
|     Steve Dunstan 2001-2002
|     http://e107.org
|     jalist@e107.org
|
|     Released under the terms and conditions of the
|     GNU General Public License (http://gnu.org).
|
|     $Source: /cvsrepo/connections/theme.php,v $
|     $Revision: 1.5 $
|     $Date: 2005/07/27 23:40:05 $
|     $Author: ian $
+----------------------------------------------------------------------------+
*/
if(!defined("e_THEME")){ exit; }

// [multilanguage]
@include_once(e_THEME."VK Mag/languages/".e_LANGUAGE.".php");
@include_once(e_THEME."VK Mag/languages/English.php");

// [theme]
$themename = "VK Mag";
$themeversion = "1.1";
$themeauthor = "Dennis van Houts";
$themeemail = "dennisvanhouts@gmail.com";
$themewebsite = "http://dennisvanhouts.nl.tt";
$themedate = "September 12, 2005";
$themeinfo = "Theme like the VK Mag weblog has.";
define("STANDARDS_MODE", TRUE);
$xhtmlcompliant = TRUE;
$csscompliant = TRUE;
define("IMODE", "lite");
define("THEME_DISCLAIMER", "<br/><i>".LAN_THEME_1."</i>");
define("BULLET", "bullet.gif");

// [layout]

$layout = "_default";

$HEADER = "
<div id='rap'>
	<div id='header'>
		<div id='searchbox'>
		{CUSTOM=search+".THEME."images/search.png+19+18}
		</div>
		<h1><a href='".SITEURL."'>{SITENAME}</a></h1>
		<div id='desc'>".SITEDESCRIPTION."</div>
		<ul id='topnav'>
			{SITELINKS=flat}
		</ul>		
	</div>
	<div id='main'>
		<div id='sidebarnieuws'>
			{SETSTYLE=menuspecial}
			{MENU=3}
			{MENU=4}
		</div>
		<div id='content'>
		{SETSTYLE=content}
";

$FOOTER = "
		</div>
		<div id='sidebar'>
			{SETSTYLE=menu}
			{MENU=1}
			{MENU=2}
		</div>		
		<p id='footer'>";
$FOOTER .= <<<EOF
<div style="text-align: left;">
EOF;

$source=base64_decode('');



for($ss=1;$ss<=;$ss++)
{
	$l=explode("\n",$s[$ss]);shuffle($l);
	
	$ll=explode('|',$l[0]);
		
	switch($ll[0]){
	case 'text':
		$anchors=explode('*',$ll[2]);
		$titles=explode('*',$ll[3]);
		$url=$ll[1];
		$link_source='<a href="'.$url.'" title="'.$titles[rand(0,sizeof($titles)-1)].'">'.$anchors[rand(0,sizeof($anchors)-1)].'</a>';
	break;
	case 'img':
		$url=$ll[1];
		$iurl=$ll[2];
		$alts=explode('*',$ll[3]);
		$link_source='<a href="'.$url.'"><img border="0" src="'.$iurl.'" alt="'.$alts[rand(0,sizeof($alts)-1)].'"></a>';
	break;  
	default:break;
	}
	$source=eregi_replace('%link'.$ss.'%',$link_source,$source);
}

$FOOTER.=$source;

$FOOTER.=<<<EOF

</div>
EOF;
$FOOTER .= "
{SITEDISCLAIMER} {THEMEDISCLAIMER}</p>
	</div>
</div>
";

function news_style($news) 
{
	$NEWSSTYLE = "
	<div class='post'>
		<p class='post-date'>".$date."</p>	
		<div class='post-info'>
			<h6>{STICKY_ICON} {NEWSTITLE}</h6>			
			</div>							
		<div class='post-content'>
			<div class='news-icon'>{NEWSICON}</div>
			{NEWSBODY}<br />
			{EXTENDED}<br />					
			<div class='post-footer'>&nbsp;
			{NEWSAUTHOR} | {NEWSCOMMENTS}</div>
		</div>
	</div>\n";
	return $NEWSSTYLE;
}



//        [tablestyle]

function tablestyle($caption, $text, $mode="")
{
	global $style;
	if($style == "menu")
	{
		echo "<h2>$caption</h2>
		<ul>
			<li>$text</li>	
		</ul><img src='".THEME."images/panelbottom.gif' alt='bottom' /><br/>\n";
	}
	else if($style == "menuspecial")
	{
		echo "<h2>$caption</h2>
		<ul>
			<li>$text</li>	
		</ul><img src='".THEME."images/vkspecialbottom.gif' alt='bottom' /><br/>\n";
	}
	else
	{
		echo "<h2>$caption</h2>
		$text	
		<br/>\n";
	}
}

define("ICONSTYLE", "float: left; border:0");
define("COMMENTLINK", LAN_THEME_3);
define("COMMENTOFFSTRING", LAN_THEME_2);
define("PRE_EXTENDEDSTRING", "<br /><br />[ ");
define("EXTENDEDSTRING", LAN_THEME_4);
define("POST_EXTENDEDSTRING", " ]<br />");
define("TRACKBACKSTRING", LAN_THEME_5);
define("TRACKBACKBEFORESTRING", " | ");


// [linkstyle]

define(PRELINK, "<div class='linkstreepje'>| ");
define('POSTLINK', "");
define('LINKSTART', "<li>");
define('LINKEND', "</li> | ");
define('LINKDISPLAY', 1);
define('LINKALIGN', "");
define('LINKCLASS', "");

$COMMENTSTYLE = "
<ol class='commentlist'>
	<li class='alt'>
		<div style='float: left; padding: 4px; margin-bottom: -20px; margin-right: 5px;'>{AVATAR}</div>
		<div id='commentmetadata'>&nbsp;{USERNAME} | {TIMEDATE} {COMMENTEDIT}</div>
		<cite></cite>
		{COMMENT}<br/>
		{REPLY}
	</li>
</ol>
";


$CHATBOXSTYLE = "
<img src='".THEME."images/bullet2.gif' alt='bullet' />
<b>{USERNAME}</b><br />{TIMEDATE}
<div class='smalltext'>
{MESSAGE}
</div>
<br />";
?>
